<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_meta_srf08.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">MetaSrf08 Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_meta_srf08.html">MetaSrf08</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>AppendLog</b>(char *ptr) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a498c46154eba1f2f1806dc8776e8b6e8">Sensor::Childs</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a498c46154eba1f2f1806dc8776e8b6e8">Thread::Childs</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a498c46154eba1f2f1806dc8776e8b6e8">IODevice::Childs</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>DataToLog</b>() (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Sensor::Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Thread::Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">IODevice::Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">Sensor::ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">Thread::ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">IODevice::ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetOwnLogger</b>(void) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#afebac3a16418e7e7394d4d395694c42a">Sensor::GetTime</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#afebac3a16418e7e7394d4d395694c42a">Thread::GetTime</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#afebac3a16418e7e7394d4d395694c42a">IODevice::GetTime</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>InitUI</b>(TabWidget *tabwidget) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>IODevice</b>(Object *parent, std::string name) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>IsSuspended</b>(void) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Join</b>(void) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Lock</b>(void) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>LogSize</b>(void) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>MetaSrf08</b>(FrameworkManager *parent, std::string name, I2cPort *i2cport, uint16_t address, int priority) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Sensor::Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Thread::Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">IODevice::Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#ab9d633c51c6c06486cb1eca238a01ea5">Sensor::ObjectName</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#ab9d633c51c6c06486cb1eca238a01ea5">Thread::ObjectName</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#ab9d633c51c6c06486cb1eca238a01ea5">IODevice::ObjectName</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a003c71b5073abbbd2addb4153c3f25fc">Sensor::ObjectType</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a003c71b5073abbbd2addb4153c3f25fc">Thread::ObjectType</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a003c71b5073abbbd2addb4153c3f25fc">IODevice::ObjectType</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a1f0cf0be56c6a2ba1d8b266906dacdef">Sensor::Object::Parent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a1f0cf0be56c6a2ba1d8b266906dacdef">Thread::Parent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a1f0cf0be56c6a2ba1d8b266906dacdef">IODevice::Parent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>ParentModele</b>(void) (defined in <a class="el" href="class_sensor.html">Sensor</a>)</td><td class="entry"><a class="el" href="class_sensor.html">Sensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PlotTab</b>(void) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PostLog</b>(file_socket *socket) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a2197a00312a960362dbce0d31819d9ae">Sensor::Printf</a>(const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a2197a00312a960362dbce0d31819d9ae">Thread::Printf</a>(const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a2197a00312a960362dbce0d31819d9ae">IODevice::Printf</a>(const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>ProcessUpdate</b>(io_data *data) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Resume</b>(void) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#aae69a726bbe66e071e1bc736a52f2c24">Sensor::RootFrameworkManager</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#aae69a726bbe66e071e1bc736a52f2c24">Thread::RootFrameworkManager</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#aae69a726bbe66e071e1bc736a52f2c24">IODevice::RootFrameworkManager</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a89f6628d70f36989fdad3c095839d90f">Sensor::RootParent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a89f6628d70f36989fdad3c095839d90f">Thread::RootParent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a89f6628d70f36989fdad3c095839d90f">IODevice::RootParent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SafeStop</b>(void) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Sensor</b>(Modele *parent, std::string name) (defined in <a class="el" href="class_sensor.html">Sensor</a>)</td><td class="entry"><a class="el" href="class_sensor.html">Sensor</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetDataToLog</b>(io_data *data) (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetMaxGain</b>(void) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetPeriodMS</b>(uint32_t period) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetPeriodUS</b>(uint32_t period) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetRange</b>(void) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetupLayout</b>(void) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetVzConsOffset</b>(float value) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetzConsOffset</b>(float value) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SleepMS</b>(uint32_t time) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SleepUntil</b>(Time time) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SleepUS</b>(uint32_t time) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Srf08</b>(FrameworkManager *parent, std::string name, I2cPort *i2cport, uint16_t address, int priority) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Srf08</b>(Modele *parent, std::string name) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Start</b>(void) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>StartTraj</b>(float start_pos, float end_pos) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>StopTraj</b>(void) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Suspend</b>(void) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Thread</b>(Object *parent, std::string name, int priority) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>ToBeStopped</b>(void) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#affaf94193943017da65e34ea2cc8aff8">Sensor::TypeChilds</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#affaf94193943017da65e34ea2cc8aff8">Thread::TypeChilds</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#affaf94193943017da65e34ea2cc8aff8">IODevice::TypeChilds</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Unlock</b>(void) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>UpdateCons</b>(Time time) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>UpdateRT</b>(struct rtsimu_states states) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>UseDefaultPlot</b>(void) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Vz</b>(void) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>VzCons</b>(void) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>WaitPeriod</b>(void) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>WaitUpdate</b>(IODevice *device) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Sensor::Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Thread::Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">IODevice::Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>WarnUponSwitches</b>(bool value) (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>z</b>(void) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>zAtt</b>(void) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>zCons</b>(void) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>zDec</b>(void) (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>zPlot</b>(void) (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~IODevice</b>() (defined in <a class="el" href="class_i_o_device.html">IODevice</a>)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~MetaSrf08</b>() (defined in <a class="el" href="class_meta_srf08.html">MetaSrf08</a>)</td><td class="entry"><a class="el" href="class_meta_srf08.html">MetaSrf08</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#ae8f5483f459e46687bd01e6f9977afd3">~Object</a>()</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~Sensor</b>() (defined in <a class="el" href="class_sensor.html">Sensor</a>)</td><td class="entry"><a class="el" href="class_sensor.html">Sensor</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Srf08</b>() (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~Srf08</b>() (defined in <a class="el" href="class_srf08.html">Srf08</a>)</td><td class="entry"><a class="el" href="class_srf08.html">Srf08</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Thread</b>() (defined in <a class="el" href="class_thread.html">Thread</a>)</td><td class="entry"><a class="el" href="class_thread.html">Thread</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Jan 17 2014 14:04:36 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
